package cn.yyxx.commsdk.impl.channel;

import android.app.Activity;

import cn.yyxx.commsdk.base.entity.SdkChargeInfo;
import cn.yyxx.commsdk.base.internal.ICallback;
import cn.yyxx.commsdk.base.internal.feature.IFeature;

/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public class ChannelSdkYYXX implements IFeature {
    @Override
    public void initialize(Activity activity, boolean isLandscape, ICallback callback) {

    }

    @Override
    public void login(Activity activity, ICallback callback) {

    }

    @Override
    public void logout(Activity activity, ICallback callback) {

    }

    @Override
    public void charge(Activity activity, SdkChargeInfo chargeInfo, ICallback callback) {

    }

    @Override
    public boolean hasExitView(Activity activity) {
        return false;
    }

    @Override
    public void openExitView(Activity activity, ICallback callback) {

    }

    @Override
    public void onDestroy(Activity activity) {

    }

    @Override
    public String getUserId() {
        return null;
    }

    @Override
    public String getChannelVersion() {
        return null;
    }

    @Override
    public String getChannelName() {
        return null;
    }
}
